org.deidentifier.arx.criteria

## Class Inclusion

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ImplicitPrivacyCriterion
    - - org.deidentifier.arx.criteria.DPresence
      - - org.deidentifier.arx.criteria.Inclusion

All Implemented Interfaces:
  java.io.Serializable

    public class Inclusion
    extends DPresence

This is a special criterion that does not enforce any privacy guarantees but allows to define a data subset.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Inclusion(DataSubset subset)` Creates a new instance of the enclosure criterion.

### Method Summary

All Methods Instance Methods Concrete Methods
`PrivacyCriterion` `clone(DataSubset subset)` Clone for local recoding
`int` `getRequirements()` Returns the criterion's requirements.
`void` `initialize(DataManager manager, ARXConfiguration config)` Override this to initialize the criterion.
`boolean` `isAnonymous(Transformation<?> node, HashGroupifyEntry entry)` Implement this, to enforce the criterion.
`boolean` `isLocalRecodingSupported()` Returns whether the criterion supports local recoding.
`ElementData` `render()` Renders the privacy model
`java.lang.String` `toString()` Returns a string representation.

### Methods inherited from class org.deidentifier.arx.criteria.DPresence

`clone, getDataSubset, getDMax, getDMin, isSubsetAvailable`

### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

`getMinimalClassSize, getPopulationModel, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isHeuristicSearchSupported, isHeuristicSearchWithTimeLimitSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isOptimalSearchSupported, isSampleBased`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Inclusion

    public Inclusion(DataSubset subset)

Creates a new instance of the enclosure criterion.

Parameters:
  `subset` - Research subset

### Method Detail

#### clone

    public PrivacyCriterion clone(DataSubset subset)

Description copied from class: `PrivacyCriterion`
Clone for local recoding

Overrides:
  `clone` in class `PrivacyCriterion`

#### getRequirements

    public int getRequirements()

Description copied from class: `PrivacyCriterion`
Returns the criterion's requirements.

Overrides:
  `getRequirements` in class `DPresence`
Returns:

#### initialize

    public void initialize(DataManager manager,
                           ARXConfiguration config)

Description copied from class: `PrivacyCriterion`
Override this to initialize the criterion.

Overrides:
  `initialize` in class `DPresence`
  `config` - TODO

#### isAnonymous

    public boolean isAnonymous(Transformation<?> node,
                               HashGroupifyEntry entry)

Description copied from class: `PrivacyCriterion`
Implement this, to enforce the criterion.

Overrides:
  `isAnonymous` in class `DPresence`
Parameters:
  `node` - TODO
Returns:

#### isLocalRecodingSupported

    public boolean isLocalRecodingSupported()

Description copied from class: `PrivacyCriterion`
Returns whether the criterion supports local recoding.

Overrides:
  `isLocalRecodingSupported` in class `DPresence`
Returns:

#### toString

    public java.lang.String toString()

Description copied from class: `PrivacyCriterion`
Returns a string representation.

Overrides:
  `toString` in class `DPresence`

#### render

    public ElementData render()

Description copied from class: `PrivacyCriterion`
Renders the privacy model

Overrides:
  `render` in class `DPresence`
Returns: